/*
 * Copyright 2011 Hanson Robokind LLC.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.robokind.impl.speech;

import javax.jms.Destination;
import javax.jms.Session;
import org.robokind.api.speech.SpeechEventList;
import org.robokind.avrogen.speech.SpeechEventListRecord;
import org.robokind.impl.messaging.JMSAvroMessageAsyncReceiver;

/**
 * JMSAvroMessageAsyncReceiver for receiving SpeechEventLists.
 * @author Matthew Stevenson <www.robokind.org>
 */
public class JMSSpeechEventReceiver extends 
        JMSAvroMessageAsyncReceiver<SpeechEventList,SpeechEventListRecord> {
    
    public JMSSpeechEventReceiver(Session session, Destination destination){
        super(session, destination, SpeechEventListRecord.class, 
                SpeechEventListRecord.SCHEMA$);
        setAdapter(new PortableSpeechEventList.RemoteSpeechEventListAdapter());
    }
}
